# Interface methods for submodule: Neighborhood
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: Neighborhood
class NeighborhoodProxy():
	def GetNameOfClass(self):
		""""""
		...

	@overload
	def GetRadius(self) -> Sequence[int]:
		""""""
		...

	@overload
	def GetRadius(self, n: int) -> int:
		""""""
		...

	@overload
	def GetSize(self, n: int) -> int:
		""""""
		...

	@overload
	def GetSize(self) -> Sequence[int]:
		""""""
		...

	def GetStride(self, axis: int) -> int:
		""""""
		...

	def Size(self) -> int:
		""""""
		...

	@overload
	def GetElement(self, i: int) -> bool:
		""""""
		...

	@overload
	def GetElement(self, i: int) -> Sequence[float]:
		""""""
		...

	@overload
	def GetElement(self, i: int) -> float:
		""""""
		...

	@overload
	def GetElement(self, i: int) -> Tuple[int, int, int]:
		""""""
		...

	@overload
	def GetElement(self, i: int) -> int:
		""""""
		...

	@overload
	def GetCenterValue(self) -> bool:
		""""""
		...

	@overload
	def GetCenterValue(self) -> Sequence[float]:
		""""""
		...

	@overload
	def GetCenterValue(self) -> float:
		""""""
		...

	@overload
	def GetCenterValue(self) -> Tuple[int, int, int]:
		""""""
		...

	@overload
	def GetCenterValue(self) -> int:
		""""""
		...

	@overload
	def SetRadius(self, arg0: Sequence[int]) -> None:
		""""""
		...

	@overload
	def SetRadius(self, rad) -> None:
		""""""
		...

	@overload
	def SetRadius(self, arg0: int) -> None:
		""""""
		...

	def Print(self, os) -> None:
		""""""
		...

	def GetBufferReference(self):
		""""""
		...

	def GetOffset(self, i: int) -> Sequence[int]:
		""""""
		...

	def GetNeighborhoodIndex(self, arg0: Sequence[int]) -> int:
		""""""
		...

	def GetCenterNeighborhoodIndex(self) -> int:
		""""""
		...

	def GetSlice(self, arg0: int):
		""""""
		...

